Skip to main content
GET
List fixtures available for booking

Authorizations

Authorization
string
header
required

User's session JWT.

X-Api-Token
string
header
required

The user's long-lived API token, obtained from the activation endpoint.

Headers

Authorization
string
required

Bearer token for the user's session JWT.

X-Api-Token
string
required

The user's long-lived API token.

Query Parameters

afterTs
integer<int64>

Epoch milliseconds. Fixtures whose StartTime is before this are omitted. Defaults to the current time. Must not be earlier than now minus 2 weeks.

beforeTs
integer<int64>

Epoch milliseconds. Fixtures whose StartTime is after this are omitted. Must not be less than afterTs.

sportId
integer<int32>

Restrict the response to fixtures of this sport.

countryId
integer<int32>

Restrict the response to fixtures of this country.

competitionId
integer<int32>

Restrict the response to fixtures of this competition.

Response

FixtureId
integer<int64>
required
GameState
string
required
StartTime
integer<int64>
required
Competition
string
required
CompetitionId
integer<int32>
required
FixtureGroupId
integer<int32>
required
Participant1Id
integer<int32>
required
Participant1
string
required
Participant2Id
integer<int32>
required
Participant2
string
required
Participant1IsHome
boolean
required
SportId
integer<int32>
required
CountryId
integer<int32>
required
IsOddsAvailable
boolean
required
IsScoresAvailable
boolean
required
ScoresDelay
integer<int32>
required
LastUpdateTs
integer<int64>
required